librevenge::RVNGStringStreamPrivate Class Reference documentation

Public Member Functions | Public Attributes | Private Member Functions | List of all members
librevenge::RVNGStringStreamPrivate Class Reference

## Public Member Functions
| RVNGStringStreamPrivate (const unsigned char *data, unsigned dataSize)
| ~RVNGStringStreamPrivate ()

## Public Attributes
std::vector< unsigned char > | buffer
volatile long | offset
RVNGStreamType | streamType
std::vector< std::string > | streamNameList

## Private Member Functions
| RVNGStringStreamPrivate (const RVNGStringStreamPrivate &)
RVNGStringStreamPrivate & | operator= (const RVNGStringStreamPrivate &)

## Constructor & Destructor Documentation

## ◆ RVNGStringStreamPrivate() [1/2]

librevenge::RVNGStringStreamPrivate::RVNGStringStreamPrivate | ( | const unsigned char * | data,
|  | unsigned | dataSize )

## ◆ ~RVNGStringStreamPrivate()

librevenge::RVNGStringStreamPrivate::~RVNGStringStreamPrivate | ( |  | ) |

## ◆ RVNGStringStreamPrivate() [2/2]

librevenge::RVNGStringStreamPrivate::RVNGStringStreamPrivate | ( | const RVNGStringStreamPrivate & |  | ) |
| private

## Member Function Documentation

## ◆ operator=()

RVNGStringStreamPrivate & librevenge::RVNGStringStreamPrivate::operator= | ( | const RVNGStringStreamPrivate & |  | ) |
| private

## Member Data Documentation

## ◆ buffer

std::vector<unsigned char> librevenge::RVNGStringStreamPrivate::buffer

Referenced by librevenge::RVNGStringStream::existsSubStream(), librevenge::RVNGStringStream::getSubStreamByName(), librevenge::RVNGStringStream::isEnd(), librevenge::RVNGStringStream::isStructured(), librevenge::RVNGStringStream::read(), RVNGStringStreamPrivate(), and librevenge::RVNGStringStream::seek().

## ◆ offset

volatile long librevenge::RVNGStringStreamPrivate::offset

Referenced by librevenge::RVNGStringStream::isEnd(), librevenge::RVNGStringStream::read(), librevenge::RVNGStringStream::seek(), and librevenge::RVNGStringStream::tell().

## ◆ streamNameList

std::vector<std::string> librevenge::RVNGStringStreamPrivate::streamNameList

Referenced by librevenge::RVNGStringStream::existsSubStream(), librevenge::RVNGStringStream::isStructured(), librevenge::RVNGStringStream::subStreamCount(), and librevenge::RVNGStringStream::subStreamName().

## ◆ streamType

RVNGStreamType librevenge::RVNGStringStreamPrivate::streamType

Referenced by librevenge::RVNGStringStream::existsSubStream(), librevenge::RVNGStringStream::getSubStreamByName(), and librevenge::RVNGStringStream::isStructured().

The documentation for this class was generated from the following file:

- RVNGStreamImplementation.cpp